filesystems
Get filesystem by ID
Get filesystem by ID
GET
/
remotefs
/
v1
/
filesystems
/
{id}
Get filesystem by ID
curl --request GET \
--url https://mycluster.domino.tech/remotefs/v1/filesystems/{id}import requests
url = "https://mycluster.domino.tech/remotefs/v1/filesystems/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/remotefs/v1/filesystems/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"dataPlaneId": "<string>",
"dataPlaneName": "<string>",
"id": "<string>",
"isDataPlaneDefault": true,
"maxSnapshotsPerVolume": 123,
"name": "<string>",
"rootPvc": "<string>",
"storageClass": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"hostname": "<string>",
"numVolumes": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Path Parameters
ID of filesystem to retrieve
Query Parameters
Whether to include the data plane host name in response
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Data plane prefix (e.g. mydp1029), "" for local data plane
Last modified on August 18, 2026
Was this page helpful?
⌘I
Get filesystem by ID
